summaryrefslogtreecommitdiffstats
path: root/external/poky/scripts/postinst-intercepts/update_gtk_icon_cache
diff options
context:
space:
mode:
authortakeshi_hoshina <takeshi_hoshina@mail.toyota.co.jp>2020-11-02 11:07:33 +0900
committertakeshi_hoshina <takeshi_hoshina@mail.toyota.co.jp>2020-11-02 11:07:33 +0900
commit1c7d6584a7811b7785ae5c1e378f14b5ba0971cf (patch)
treecd70a267a5ef105ba32f200aa088e281fbd85747 /external/poky/scripts/postinst-intercepts/update_gtk_icon_cache
parent4204309872da5cb401cbb2729d9e2d4869a87f42 (diff)
recipes
Diffstat (limited to 'external/poky/scripts/postinst-intercepts/update_gtk_icon_cache')
-rw-r--r--external/poky/scripts/postinst-intercepts/update_gtk_icon_cache17
1 files changed, 17 insertions, 0 deletions
diff --git a/external/poky/scripts/postinst-intercepts/update_gtk_icon_cache b/external/poky/scripts/postinst-intercepts/update_gtk_icon_cache
new file mode 100644
index 00000000..99367a28
--- /dev/null
+++ b/external/poky/scripts/postinst-intercepts/update_gtk_icon_cache
@@ -0,0 +1,17 @@
+#!/bin/sh
+#
+# SPDX-License-Identifier: MIT
+#
+# Post-install intercept for gtk-icon-cache.bbclass
+
+set -e
+
+# Update native pixbuf loaders
+$STAGING_DIR_NATIVE/${libdir_native}/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders --update-cache
+
+for icondir in $D/usr/share/icons/*/ ; do
+ if [ -d $icondir ] ; then
+ gtk-update-icon-cache -fqt $icondir
+ fi
+done
+